
library ieee;
use ieee.std_logic_1164.all;

entity reg is
  generic(size: integer :=8);
  port( 
	clk 	: in std_logic;
	D 	: in std_logic_vector(size-1 downto 0);
	Q 	: out std_logic_vector(size-1 downto 0)
  );
end reg;

architecture behavioral of reg is
begin
	process(clk)
	begin
		if rising_edge(clk) then
				Q<=D;
		end if;
	end process;
end behavioral;
