// Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
// Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2024.1.2 (lin64) Build 5164865 Thu Sep  5 14:36:28 MDT 2024
// Date        : Thu Nov 28 16:27:01 2024
// Host        : hogtest running 64-bit unknown
// Command     : write_verilog -force -mode funcsim {/home/hogtest/Projets/Cours
//               FPGA/Labo1B/Vivado/labo1b/labo1b.gen/sources_1/bd/design_1/ip/design_1_reg_decalage_0_0/design_1_reg_decalage_0_0_sim_netlist.v}
// Design      : design_1_reg_decalage_0_0
// Purpose     : This verilog netlist is a functional simulation representation of the design and should not be modified
//               or synthesized. This netlist cannot be used for SDF annotated simulation.
// Device      : xc7a200tsbg484-1
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CHECK_LICENSE_TYPE = "design_1_reg_decalage_0_0,reg_decalage,{}" *) (* DowngradeIPIdentifiedWarnings = "yes" *) (* IP_DEFINITION_SOURCE = "module_ref" *) 
(* X_CORE_INFO = "reg_decalage,Vivado 2024.1.2" *) 
(* NotValidForBitStream *)
module design_1_reg_decalage_0_0
   (clk,
    btnU,
    btnC,
    btnD,
    led);
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 clk CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME clk, FREQ_HZ 400000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN /clk_wiz_0_clk_out1, INSERT_VIP 0" *) input clk;
  input btnU;
  input btnC;
  input btnD;
  output [7:0]led;

  wire btnC;
  wire btnD;
  wire btnU;
  wire clk;
  wire [7:0]led;

  design_1_reg_decalage_0_0_reg_decalage inst
       (.btnC(btnC),
        .btnD(btnD),
        .btnU(btnU),
        .clk(clk),
        .led(led));
endmodule

(* ORIG_REF_NAME = "reg" *) 
module design_1_reg_decalage_0_0_reg
   (Q,
    led,
    D,
    clk,
    btnC_r,
    \Q_reg[7]_0 ,
    \Q_reg[7]_1 ,
    \Q_reg[6]_0 ,
    \Q_reg[5]_0 ,
    \Q_reg[4]_0 ,
    \Q_reg[3]_0 ,
    \Q_reg[2]_0 ,
    \Q_reg[1]_0 );
  output [0:0]Q;
  output [6:0]led;
  input [0:0]D;
  input clk;
  input btnC_r;
  input \Q_reg[7]_0 ;
  input \Q_reg[7]_1 ;
  input \Q_reg[6]_0 ;
  input \Q_reg[5]_0 ;
  input \Q_reg[4]_0 ;
  input \Q_reg[3]_0 ;
  input \Q_reg[2]_0 ;
  input \Q_reg[1]_0 ;

  wire [0:0]D;
  wire [0:0]Q;
  wire \Q_reg[1]_0 ;
  wire \Q_reg[2]_0 ;
  wire \Q_reg[3]_0 ;
  wire \Q_reg[4]_0 ;
  wire \Q_reg[5]_0 ;
  wire \Q_reg[6]_0 ;
  wire \Q_reg[7]_0 ;
  wire \Q_reg[7]_1 ;
  wire btnC_r;
  wire clk;
  wire [6:0]led;

  FDRE \Q_reg[0] 
       (.C(clk),
        .CE(1'b1),
        .D(D),
        .Q(Q),
        .R(1'b0));
  FDRE \Q_reg[1] 
       (.C(clk),
        .CE(\Q_reg[7]_0 ),
        .D(\Q_reg[1]_0 ),
        .Q(led[0]),
        .R(btnC_r));
  FDRE \Q_reg[2] 
       (.C(clk),
        .CE(\Q_reg[7]_0 ),
        .D(\Q_reg[2]_0 ),
        .Q(led[1]),
        .R(btnC_r));
  FDRE \Q_reg[3] 
       (.C(clk),
        .CE(\Q_reg[7]_0 ),
        .D(\Q_reg[3]_0 ),
        .Q(led[2]),
        .R(btnC_r));
  FDRE \Q_reg[4] 
       (.C(clk),
        .CE(\Q_reg[7]_0 ),
        .D(\Q_reg[4]_0 ),
        .Q(led[3]),
        .R(btnC_r));
  FDRE \Q_reg[5] 
       (.C(clk),
        .CE(\Q_reg[7]_0 ),
        .D(\Q_reg[5]_0 ),
        .Q(led[4]),
        .R(btnC_r));
  FDRE \Q_reg[6] 
       (.C(clk),
        .CE(\Q_reg[7]_0 ),
        .D(\Q_reg[6]_0 ),
        .Q(led[5]),
        .R(btnC_r));
  FDRE \Q_reg[7] 
       (.C(clk),
        .CE(\Q_reg[7]_0 ),
        .D(\Q_reg[7]_1 ),
        .Q(led[6]),
        .R(btnC_r));
endmodule

(* ORIG_REF_NAME = "reg_decalage" *) 
module design_1_reg_decalage_0_0_reg_decalage
   (led,
    btnU,
    clk,
    btnD,
    btnC);
  output [7:0]led;
  input btnU;
  input clk;
  input btnD;
  input btnC;

  wire [0:0]D;
  wire \Q[1]_i_1_n_0 ;
  wire \Q[2]_i_1_n_0 ;
  wire \Q[3]_i_1_n_0 ;
  wire \Q[4]_i_1_n_0 ;
  wire \Q[5]_i_1_n_0 ;
  wire \Q[6]_i_1_n_0 ;
  wire \Q[7]_i_1_n_0 ;
  wire \Q[7]_i_2_n_0 ;
  wire btnC;
  wire btnC_r;
  wire btnD;
  wire btnD_r;
  wire btnU;
  wire btnU_r;
  wire clk;
  wire [7:0]led;

  LUT6 #(
    .INIT(64'hFFFFFEAEAAAAFEAE)) 
    \Q[0]_i_1 
       (.I0(btnC_r),
        .I1(led[1]),
        .I2(btnU_r),
        .I3(led[7]),
        .I4(btnD_r),
        .I5(led[0]),
        .O(D));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT3 #(
    .INIT(8'hB8)) 
    \Q[1]_i_1 
       (.I0(led[0]),
        .I1(btnU_r),
        .I2(led[2]),
        .O(\Q[1]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT3 #(
    .INIT(8'hB8)) 
    \Q[2]_i_1 
       (.I0(led[1]),
        .I1(btnU_r),
        .I2(led[3]),
        .O(\Q[2]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair2" *) 
  LUT3 #(
    .INIT(8'hB8)) 
    \Q[3]_i_1 
       (.I0(led[2]),
        .I1(btnU_r),
        .I2(led[4]),
        .O(\Q[3]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair1" *) 
  LUT3 #(
    .INIT(8'hB8)) 
    \Q[4]_i_1 
       (.I0(led[3]),
        .I1(btnU_r),
        .I2(led[5]),
        .O(\Q[4]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair2" *) 
  LUT3 #(
    .INIT(8'hB8)) 
    \Q[5]_i_1 
       (.I0(led[4]),
        .I1(btnU_r),
        .I2(led[6]),
        .O(\Q[5]_i_1_n_0 ));
  LUT3 #(
    .INIT(8'hB8)) 
    \Q[6]_i_1 
       (.I0(led[5]),
        .I1(btnU_r),
        .I2(led[7]),
        .O(\Q[6]_i_1_n_0 ));
  LUT1 #(
    .INIT(2'h1)) 
    \Q[7]_i_1 
       (.I0(btnD_r),
        .O(\Q[7]_i_1_n_0 ));
  (* SOFT_HLUTNM = "soft_lutpair0" *) 
  LUT3 #(
    .INIT(8'hB8)) 
    \Q[7]_i_2 
       (.I0(led[6]),
        .I1(btnU_r),
        .I2(led[0]),
        .O(\Q[7]_i_2_n_0 ));
  FDRE btnC_r_reg
       (.C(clk),
        .CE(1'b1),
        .D(btnC),
        .Q(btnC_r),
        .R(1'b0));
  FDRE btnD_r_reg
       (.C(clk),
        .CE(1'b1),
        .D(btnD),
        .Q(btnD_r),
        .R(1'b0));
  FDRE btnU_r_reg
       (.C(clk),
        .CE(1'b1),
        .D(btnU),
        .Q(btnU_r),
        .R(1'b0));
  design_1_reg_decalage_0_0_reg exemple_1
       (.D(D),
        .Q(led[0]),
        .\Q_reg[1]_0 (\Q[1]_i_1_n_0 ),
        .\Q_reg[2]_0 (\Q[2]_i_1_n_0 ),
        .\Q_reg[3]_0 (\Q[3]_i_1_n_0 ),
        .\Q_reg[4]_0 (\Q[4]_i_1_n_0 ),
        .\Q_reg[5]_0 (\Q[5]_i_1_n_0 ),
        .\Q_reg[6]_0 (\Q[6]_i_1_n_0 ),
        .\Q_reg[7]_0 (\Q[7]_i_1_n_0 ),
        .\Q_reg[7]_1 (\Q[7]_i_2_n_0 ),
        .btnC_r(btnC_r),
        .clk(clk),
        .led(led[7:1]));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;
    parameter GRES_WIDTH = 10000;
    parameter GRES_START = 10000;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    wire GRESTORE;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;
    reg GRESTORE_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (strong1, weak0) GSR = GSR_int;
    assign (strong1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;
    assign (strong1, weak0) GRESTORE = GRESTORE_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

    initial begin 
	GRESTORE_int = 1'b0;
	#(GRES_START);
	GRESTORE_int = 1'b1;
	#(GRES_WIDTH);
	GRESTORE_int = 1'b0;
    end

endmodule
`endif
